Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Max Operating Temperature Min Operating Temperature Color Gender Length RoHS Status Lead Free Voltage - Rated Radiation Hardening Package / Case REACH SVHC Height Width Impedance Weight Operating Temperature Lead Length Shielding Connector Type A Connector Type B Feature Polarity Style Cable Length Wire/Cable Type Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
415-0018-030 415-0018-030 Emerson Network Power 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
CABLE 161 RF-050-A-1 CABLE 161 RF-050-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 1.969 50.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to SMA 3GHz SMA Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
415-0097-150 415-0097-150 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks 2008 UMC Active 1 (Unlimited) SMA 90°C -40°C Black Female to Female 5.906 150.00mm RoHS Compliant Lead Free No SMA 50Ohms -40°C~90°C SMA Coaxial, Plug, Socket Shielded Normal U.FL (UMCC) to SMA 150mm Coaxial 6GHz SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle 1.37mm OD Coaxial Cable Male Female
02Y5718#1000 02Y5718#1000 Hoei America Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Discontinued Not Applicable Black Female to Male 39.4 1.0m 3.3' Non-RoHS Compliant SMA 50Ohm Plug, SMA SMA to SMA SMA Female Jack SMA Male Plug
02Y5719#0200 02Y5719#0200 Hoei America Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Discontinued Not Applicable Black Female to Male 7.874 200.00mm Non-RoHS Compliant SMA 50Ohm Plug, SMA SMA to SMA SMA Female Jack SMA Male Plug
02Y5716#1000 02Y5716#1000 Hoei America Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Discontinued Not Applicable Black Male to Male 39.4 1.0m 3.3' Non-RoHS Compliant SMA 50Ohm Plug, SMA Plug, SMA SMA to SMA SMA Male Plug SMA Male Plug
U.FL(A)-LP(P)-088(02) U.FL(A)-LP(P)-088(02) Hirose Electric 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 12 Weeks Tape & Reel (TR) Active Not Applicable RoHS Compliant
02Y7472#0500 02Y7472#0500 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7469#0500 02Y7469#0500 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6354-3 73-6354-3 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
BU-5454-B-24-0(BLACK) BU-5454-B-24-0(BLACK) Mueller 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
F6-25W F6-25W TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable F Active Not Applicable White Male to Male 300.0 7.6m 25.0' RoHS Compliant 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
RFC-1534 RFC-1534 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
BU-P5697-12 BU-P5697-12 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 3 Weeks 2013 Active 1 (Unlimited) 85°C -40°C Black Male to Male 12.00 304.80mm RoHS Compliant 50Ohms -40°C~85°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58C
BU-P5697-60 BU-P5697-60 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 3 Weeks 2013 Active 1 (Unlimited) 85°C -40°C Black Male to Male 60.0 1.5m 5.0' RoHS Compliant 50Ohms -40°C~85°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58C
BU-5050-B-12-0 BU-5050-B-12-0 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 3 Weeks Cable 2007 Active 1 (Unlimited) Black Male to Male 12.00 304.80mm RoHS Compliant 500V Unknown 6.35mm 6.35mm 50Ohms 154.221406g 300mm Shielded BNC, Plug BNC, Plug Shielded BNC to BNC 300mm Coaxial BNC Male Plug BNC Male Plug RG-58C Male Male
BU-P5697-6 BU-P5697-6 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 3 Weeks 2013 Active 1 (Unlimited) 85°C -40°C Black Male to Male 6.000 152.40mm RoHS Compliant 50Ohms -40°C~85°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58C
CBA-UFLSMA15 CBA-UFLSMA15 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 12 Weeks 2015 Active Not Applicable Copper Female to Female 5.906 150.00mm RoHS Compliant 50Ohm SMA Coaxial, Plug, Socket U.FL (UMCC) to SMA 6GHz SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle
CBA-SMAF-MMCXM CBA-SMAF-MMCXM RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Black Female to Male 7.874 200.00mm RoHS Compliant SMA 50Ohms SMA MMCX, Plug SMA to MMCX SMA Female Jack MMCX Male Plug RG-174
CBA-SMA-SMA30 CBA-SMA-SMA30 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Black Female to Male 2.9972m RoHS Compliant SMA Plug, SMA, Socket Plug, SMA Shielded
CBA-SMA-SMA18 CBA-SMA-SMA18 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Black Female to Male 1.80086m RoHS Compliant SMA 50Ohm Plug, SMA, Socket Plug, SMA Shielded 6GHz
CBA-SMAF-MCXMR CBA-SMAF-MCXMR RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2012 Active Not Applicable Gray Female to Male 7.874 200.00mm RoHS Compliant SMA 50Ohm Plug SMA to MCX SMA Female Jack MCX Male Plug, Right Angle RG-174
CLU40-KMKM-02.50F CLU40-KMKM-02.50F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Clarity™ Active 1 (Unlimited) Blue Male to Male 30.00 762.00mm RoHS Compliant 50Ohms Shielded 2.92mm to 2.92mm 40GHz 2.92mm Male Plug 2.92mm Male Plug
CLU40-KMKF-02.00F CLU40-KMKF-02.00F Amphenol Times Microwave Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Clarity™ Active 1 (Unlimited) Blue Female to Male 24.00 609.60mm RoHS Compliant 50Ohms Shielded 2.92mm to 2.92mm 40GHz 2.92mm Female Jack 2.92mm Male Plug
5267(RG213/U) 5267(RG213/U) Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1300-00023 1300-00023 Laird - Wireless & Thermal Systems 16.2170
Add to Cart

Min: 1

Mult: 1

0.00000000 download 14 Weeks Cable 2005 Active 1 (Unlimited) 65°C -20°C Male to Male 7.000 177.80mm RoHS Compliant Lead Free 50Ohms -20°C~65°C Male Pin, SMA MMCX, Plug Shielded RP-SMA to MMCX 2.5GHz RP-SMA Female Jack, Male Pin MMCX Male Plug, Right Angle RG-316
F6-6W F6-6W TPI (Test Products Int) 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Cable 2005 F Active Not Applicable White Male to Male 72.0 1.8m 6.0' RoHS Compliant 73Ohms Plug Plug Shielded F-Type to F-Type F-Type Male Plug F-Type Male Plug RG-6
RFC-1932 RFC-1932 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1225 RFC-1225 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1114 RFC-1114 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support